|
|
16f2df |
diff -up bltk-1.0.9/wl_developer/bltk_wl_developer_install.sh.cond_install bltk-1.0.9/wl_developer/bltk_wl_developer_install.sh
|
|
|
16f2df |
--- bltk-1.0.9/wl_developer/bltk_wl_developer_install.sh.cond_install 2009-07-29 11:38:48.000000000 +0200
|
|
|
16f2df |
+++ bltk-1.0.9/wl_developer/bltk_wl_developer_install.sh 2009-07-29 14:54:40.878602487 +0200
|
|
|
16f2df |
@@ -38,6 +38,8 @@
|
|
|
16f2df |
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
|
|
|
16f2df |
#
|
|
|
16f2df |
|
|
|
16f2df |
+[ -f "$BLTK_CONF" ] && . "$BLTK_CONF"
|
|
|
16f2df |
+
|
|
|
16f2df |
source `dirname $0`/../../bin/bltk_wl_common
|
|
|
16f2df |
[[ $? != 0 ]] && { echo "bltk tree corrupted"; exit 2; }
|
|
|
16f2df |
|
|
|
16f2df |
@@ -139,9 +141,14 @@ else
|
|
|
16f2df |
exit 1
|
|
|
16f2df |
fi
|
|
|
16f2df |
|
|
|
16f2df |
-{
|
|
|
16f2df |
-startup
|
|
|
16f2df |
-$work
|
|
|
16f2df |
-cleanup 0
|
|
|
16f2df |
-} 2>&1 | tee -i $work.log
|
|
|
16f2df |
+if [[ "$WL_DEVELOPER_ENABLED" = "YES" && "$WL_DEVELOPER_EXTERN" = "YES" ]]
|
|
|
16f2df |
+then
|
|
|
16f2df |
+ {
|
|
|
16f2df |
+ startup
|
|
|
16f2df |
+ $work
|
|
|
16f2df |
+ cleanup 0
|
|
|
16f2df |
+ } 2>&1 | tee -i $work.log
|
|
|
16f2df |
+else
|
|
|
16f2df |
+ exit 0
|
|
|
16f2df |
+fi
|
|
|
16f2df |
|
|
|
16f2df |
diff -up bltk-1.0.9/wl_office/bltk_wl_office_install.sh.cond_install bltk-1.0.9/wl_office/bltk_wl_office_install.sh
|
|
|
16f2df |
--- bltk-1.0.9/wl_office/bltk_wl_office_install.sh.cond_install 2009-07-29 11:38:48.000000000 +0200
|
|
|
16f2df |
+++ bltk-1.0.9/wl_office/bltk_wl_office_install.sh 2009-07-29 15:00:59.406496688 +0200
|
|
|
16f2df |
@@ -38,6 +38,8 @@
|
|
|
16f2df |
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
|
|
|
16f2df |
#
|
|
|
16f2df |
|
|
|
16f2df |
+[ -f "$BLTK_CONF" ] && . "$BLTK_CONF"
|
|
|
16f2df |
+
|
|
|
16f2df |
source `dirname $0`/../../bin/bltk_wl_common
|
|
|
16f2df |
[[ $? != 0 ]] && { echo "bltk tree corrupted"; exit 2; }
|
|
|
16f2df |
|
|
|
16f2df |
@@ -80,7 +81,6 @@ cleanup()
|
|
|
16f2df |
|
|
|
16f2df |
install_ooo()
|
|
|
16f2df |
{
|
|
|
16f2df |
-
|
|
|
16f2df |
wl_remove_file ${HOME}/.sversionrc
|
|
|
16f2df |
wl_check_error $?
|
|
|
16f2df |
|
|
|
16f2df |
@@ -188,23 +188,27 @@
|
|
|
16f2df |
|
|
|
16f2df |
}
|
|
|
16f2df |
|
|
|
16f2df |
-if [[ $# = 0 || $1 = i || $1 = install ]]
|
|
|
16f2df |
+if [[ "$WL_OFFICE_ENABLED" = "YES" && "$WL_OFFICE_EXTERN" = "YES" ]]
|
|
|
16f2df |
then
|
|
|
16f2df |
- work=install
|
|
|
16f2df |
-elif [[ $1 = install-loc ]]
|
|
|
16f2df |
-then
|
|
|
16f2df |
- work=install-loc
|
|
|
16f2df |
-elif [[ $1 = u || $1 = uninstall ]]
|
|
|
16f2df |
-then
|
|
|
16f2df |
- work=uninstall
|
|
|
16f2df |
+ if [[ $# = 0 || $1 = i || $1 = install ]]
|
|
|
16f2df |
+ then
|
|
|
16f2df |
+ work=install
|
|
|
16f2df |
+ elif [[ $1 = install-loc ]]
|
|
|
16f2df |
+ then
|
|
|
16f2df |
+ work=install-loc
|
|
|
16f2df |
+ elif [[ $1 = u || $1 = uninstall ]]
|
|
|
16f2df |
+ then
|
|
|
16f2df |
+ work=uninstall
|
|
|
16f2df |
+ else
|
|
|
16f2df |
+ echo "Invalid parameter"
|
|
|
16f2df |
+ exit 1
|
|
|
16f2df |
+ fi
|
|
|
16f2df |
+
|
|
|
16f2df |
+ {
|
|
|
16f2df |
+ startup
|
|
|
16f2df |
+ $work
|
|
|
16f2df |
+ cleanup 0
|
|
|
16f2df |
+ } 2>&1 | tee -i $work.log
|
|
|
16f2df |
else
|
|
|
16f2df |
- echo "Invalid parameter"
|
|
|
16f2df |
- exit 1
|
|
|
16f2df |
+ exit 0
|
|
|
16f2df |
fi
|
|
|
16f2df |
-
|
|
|
16f2df |
-{
|
|
|
16f2df |
-startup
|
|
|
16f2df |
-$work
|
|
|
16f2df |
-cleanup 0
|
|
|
16f2df |
-} 2>&1 | tee -i $work.log
|
|
|
16f2df |
-
|
|
|
16f2df |
--- bltk-1.0.9/wl_player/bltk_wl_player_install.sh.cond_install 2009-07-29 11:38:48.000000000 +0200
|
|
|
16f2df |
+++ bltk-1.0.9/wl_player/bltk_wl_player_install.sh 2009-07-29 15:06:43.249585854 +0200
|
|
|
16f2df |
@@ -41,6 +41,8 @@
|
|
|
16f2df |
|
|
|
16f2df |
PLAYER_INSTALL_FLAGS=" --disable-ivtv"
|
|
|
16f2df |
|
|
|
16f2df |
+[ -f "$BLTK_CONF" ] && . "$BLTK_CONF"
|
|
|
16f2df |
+
|
|
|
16f2df |
source `dirname $0`/../../bin/bltk_wl_common
|
|
|
16f2df |
[[ $? != 0 ]] && { echo "bltk tree corrupted"; exit 2; }
|
|
|
16f2df |
|
|
|
16f2df |
@@ -286,17 +288,21 @@ else
|
|
|
16f2df |
exit 1
|
|
|
16f2df |
fi
|
|
|
16f2df |
|
|
|
16f2df |
+if [[ "$WL_PLAYER_ENABLED" = "YES" && "$WL_PLAYER_EXTERN" = "YES" ]]
|
|
|
16f2df |
+then
|
|
|
16f2df |
{
|
|
|
16f2df |
-
|
|
|
16f2df |
#If there is a ENV variable named CFLAGS, the CFLAGS value in wl_player/Makefile
|
|
|
16f2df |
#will be set to this ENV variable. Since the MPlayer will inherit the ENV CFLAGS
|
|
|
16f2df |
#value, the compiling will failed for "-pedantic -std=c99" in CFLAGS. So we need
|
|
|
16f2df |
#to unset the variable here.
|
|
|
16f2df |
|
|
|
16f2df |
-CFLAGS=
|
|
|
16f2df |
-LDFLAGS=
|
|
|
16f2df |
-startup
|
|
|
16f2df |
-$work
|
|
|
16f2df |
-cleanup 0
|
|
|
16f2df |
-} 2>&1 | tee -i $work.log
|
|
|
16f2df |
-
|
|
|
16f2df |
+ CFLAGS=
|
|
|
16f2df |
+ LDFLAGS=
|
|
|
16f2df |
+ startup
|
|
|
16f2df |
+ $work
|
|
|
16f2df |
+ cleanup 0
|
|
|
16f2df |
+ } 2>&1 | tee -i $work.log
|
|
|
16f2df |
+}
|
|
|
16f2df |
+else
|
|
|
16f2df |
+ exit 0
|
|
|
16f2df |
+fi
|